---
title: "Update a connection"
slug: "update-a-connection"
abstract: "Describes how to update a connection using the Sitecore Personalize Connection REST API."
---
# Update a connection

`PUT /v2/connections/<connectionRef>`

Updates a connection.

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `connectionRef` | string | The reference of the connection.<br><br>If you do not know the connection reference, first [retrieve connections](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/connection-rest-api/retrieve-connections.html). | `47c20b31-b5d8-492f-94e5-064958716c21` |

At a minimum, you must provide the following required attributes in the request body:

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `name` | string | The name of the connection. | `"Connect to Data System"` |
| `auth` | array of objects | An array of authentication attributes to connect to the service. | `"mys3cr3tstr1ingforauth1!x"` |
| `request` | array of strings | An array of request attributes to connect to the service. | `"mys3cr3tstr1ingforauth1!x"` |
| `systemType` | string | The type of system you are connecting. | `"DATA_SYSTEM"` |

Updating the connection name:

```curl
curl -X PUT '<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json' \
--data-raw '
{
    "name": "Connect to Data System",
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "systemType": "DATA_SYSTEM"
}'

```

```json
{
    "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
    "href": "<baseURL>/v2/connections/47c20b31-b5d8-492f-94e5-064958716c21",
    "ref": "47c20b31-b5d8-492f-94e5-064958716c21",
    "name": "Connect to Data System",
    "modifiedByRef": "73fadb31-d0de-4ca8-848d-cef57ad78845",
    "modifiedAt":"2026-12-14T08:`35:45`.341Z",
    "archived": false,
    "auth": {
        "authType": "NONE"
    },
    "request": {
        "requestType": "POST",
        "connectionUrl": "https://example.com/api/1.0/messages/send.json",
        "requestBody": "{\"key\":\"${key}\",\"message\":\"${message}\"}"
    },
    "systemType": "DATA_SYSTEM",
    "connectionTimeout": 1000,
    "socketTimeout": 1000,
    "icon": "assets/images/icons/connections/plug.svg"
}

```